import React from 'react';
import 'bootstrap/dist/css/bootstrap.min.css';
import 'bootstrap/dist/js/bootstrap.min.js';
import './CardFilm.css';
import ModalButton from './ModalButton';

class CardFilm extends React.Component {
    render() {
        return (
        <div className="card card-mod">
            <img src={this.props.src} className="card-img-top" alt={this.props.alt} />
            <div className="card-body overlay">
                <h5 className="card-title">{this.props.title}</h5>
                <p className="card-text">{this.props.body}</p>
                <ModalButton />
            </div>
        </div>
        );
    }
}

export default CardFilm;
